Identity (NekoHTML 1.9.20 Implementation)
Date: 2014-02-13

org.cyberneko.html.filters

## Class Identity

- java.lang.Object
- - org.cyberneko.html.filters.DefaultFilter
  - - org.cyberneko.html.filters.Identity

- All Implemented Interfaces:
    HTMLComponent

      public class Identity
      extends DefaultFilter

  This filter performs the identity operation of the original document event stream generated by the HTML scanner by removing events that are synthesized by the tag balancer. This operation is essentially the same as turning off tag-balancing in the parser. However, this filter is useful when you want the tag balancer to report "errors" but do not want the synthesized events in the output.

  Note: This filter requires the augmentations feature to be turned on. For example:

        XMLParserConfiguration parser = new HTMLConfiguration();
        parser.setFeature("http://cyberneko.org/html/features/augmentations", true);

  Note: This isn't exactly the identify transform because the element and attributes names may have been modified from the original document. For example, by default, NekoHTML converts element names to upper-case and attribute names to lower-case.

  Version:
    $Id: Identity.java,v 1.4 2005/02/14 03:56:54 andyc Exp $
  Author:
    Andy Clark

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `AUGMENTATIONS` Augmentations feature identifier.
    `protected static java.lang.String` | `FILTERS` Filters property identifier.

    - ### Fields inherited from class org.cyberneko.html.filters.DefaultFilter

      `fDocumentHandler, fDocumentSource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Identity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `emptyElement(QName element, XMLAttributes attributes, Augmentations augs)` Empty element.
    `void` | `endElement(QName element, Augmentations augs)` End element.
    `void` | `startElement(QName element, XMLAttributes attributes, Augmentations augs)` Start element.
    `protected static boolean` | `synthesized(Augmentations augs)` Returns true if the information provided is synthesized.

    - ### Methods inherited from class org.cyberneko.html.filters.DefaultFilter

      `characters, comment, doctypeDecl, endCDATA, endDocument, endGeneralEntity, endPrefixMapping, getDocumentHandler, getDocumentSource, getFeatureDefault, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, ignorableWhitespace, merge, processingInstruction, reset, setDocumentHandler, setDocumentSource, setFeature, setProperty, startCDATA, startDocument, startDocument, startGeneralEntity, startPrefixMapping, textDecl, xmlDecl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUGMENTATIONS

          protected static final java.lang.String AUGMENTATIONS

      Augmentations feature identifier.
      See Also:
        Constant Field Values

    - #### FILTERS

          protected static final java.lang.String FILTERS

      Filters property identifier.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Identity

          public Identity()

  - ### Method Detail

    - #### startElement

          public void startElement(QName element,
                          XMLAttributes attributes,
                          Augmentations augs)
                            throws XNIException

      Start element.
      Overrides:
        `startElement` in class `DefaultFilter`
      Throws:
        `XNIException`

    - #### emptyElement

          public void emptyElement(QName element,
                          XMLAttributes attributes,
                          Augmentations augs)
                            throws XNIException

      Empty element.
      Overrides:
        `emptyElement` in class `DefaultFilter`
      Throws:
        `XNIException`

    - #### endElement

          public void endElement(QName element,
                        Augmentations augs)
                          throws XNIException

      End element.
      Overrides:
        `endElement` in class `DefaultFilter`
      Throws:
        `XNIException`

    - #### synthesized

          protected static boolean synthesized(Augmentations augs)

      Returns true if the information provided is synthesized.

(C) Copyright 2002-2014, Andy Clark, Marc Guillemot. All rights reserved.